﻿Public Class Form1
    Private Sub BtnSubmit_Click(sender As Object, e As EventArgs) Handles btnSubmit.Click
        Print(1, txtTestName.Text & vbCrLf)
        Print(1, txtQuestionNumber.Text & vbCrLf)
        Print(1, txtQuestion.Text & vbCrLf)
        Print(1, txtPossibleAnswers.Text & vbCrLf)
        Print(1, cboCorrectAnswer.Text & vbCrLf)

        BtnClear_Click(sender, e)
    End Sub
    Private Sub BtnClear_Click(sender As Object, e As EventArgs) Handles btnClear.Click
        txtQuestionNumber.Text = ""
        txtQuestion.Text = ""
        txtPossibleAnswers.Text = ""
        cboCorrectAnswer.Text = ""
        txtQuestionNumber.Focus()
    End Sub

    Private Sub QuitToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles QuitToolStripMenuItem.Click
        FileClose(1)
        Close()
    End Sub

    Private Sub PrintContentsToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles PrintContentsToolStripMenuItem.Click
        MessageBox.Show("Print test file selected - see output pane", "Menu choice", MessageBoxButtons.OK, MessageBoxIcon.Information)
        Console.WriteLine("Test name " & txtTestName.Text)
        Console.WriteLine("Question number: " & txtQuestionNumber.Text)
        Console.WriteLine("Question: " & txtQuestion.Text)
        Console.WriteLine("Possible answers: ")
        Console.WriteLine(txtPossibleAnswers.Text)
        Console.WriteLine("Correct answer: " & cboCorrectAnswer.Text)
        Console.WriteLine()
        BtnClear_Click(sender, e)
    End Sub

    Private Sub EditQuestionsToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles EditQuestionsToolStripMenuItem.Click
        MessageBox.Show("Edit questions in test file selected", "Menu choice", MessageBoxButtons.OK, MessageBoxIcon.Information)
    End Sub

    Private Sub AddQuestionsToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles AddQuestionsToolStripMenuItem.Click
        Dim fileName As String
        txtTestName.Text = ""
        FileClose(1)
        fileName = InputBox("Enter test name", "Add to test file")
        If fileName > "" Then
            FileOpen(1, fileName & ".txt", OpenMode.Append, OpenAccess.Write)
            txtTestName.Text = fileName
        Else
            Console.WriteLine("Cancelled")
        End If
    End Sub

    Private Sub CreateANewTestToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles CreateANewTestToolStripMenuItem.Click
        Dim fileName As String
        txtTestName.Text = ""
        FileClose(1)
        fileName = InputBox("Enter new test name", "Create a new test file")
        If fileName > "" Then
            FileOpen(1, fileName & ".txt", OpenMode.Append, OpenAccess.Write)
            txtTestName.Text = fileName
        Else
            Console.WriteLine("Cancelled")
        End If
    End Sub
End Class
